Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin
Class PrincipalNotExclusivelyManagedByAdminException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.portal.admin.PrincipalNotExclusivelyManagedByAdminException

All Implemented Interfaces:
  Serializable

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PrincipalNotExclusivelyManagedByAdminException
extends ApplicationException

Thrown by Visitor User Manager EJBs when the calling admin does not manage every group portal to which the target principal belongs.

See Also:
  `ApplicationException`, Serialized Form

Constructor Summary
`PrincipalNotExclusivelyManagedByAdminException(String principalName, String adminName)` Deprecated. Constructor
`PrincipalNotExclusivelyManagedByAdminException(String message, String principalName, String adminName)` Deprecated. Constructor
`PrincipalNotExclusivelyManagedByAdminException(String message, Throwable t, String principalName, String adminName)` Deprecated. Constructor
`PrincipalNotExclusivelyManagedByAdminException(Throwable t, String principalName, String adminName)` Deprecated. Constructor

Method Summary
`String` | `getAdminName()` Deprecated.
`String` | `getPrincipalName()` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrincipalNotExclusivelyManagedByAdminException

    public PrincipalNotExclusivelyManagedByAdminException(String principalName,
                                                          String adminName)

  Deprecated.
  Constructor

Parameters:
  `principalName` - the username
  `adminName` - the admin username

### PrincipalNotExclusivelyManagedByAdminException

    public PrincipalNotExclusivelyManagedByAdminException(String message,
                                                          String principalName,
                                                          String adminName)

  Deprecated.
  Constructor

Parameters:
  `message` - String representing the Exception message
  `principalName` - the username
  `adminName` - the admin username

### PrincipalNotExclusivelyManagedByAdminException

    public PrincipalNotExclusivelyManagedByAdminException(String message,
                                                          Throwable t,
                                                          String principalName,
                                                          String adminName)

  Deprecated.
  Constructor

Parameters:
  `message` - String representing the Exception message
  `t` - Throwable object representing the wrapped or chained exception
  `principalName` - the username
  `adminName` - the admin username

### PrincipalNotExclusivelyManagedByAdminException

    public PrincipalNotExclusivelyManagedByAdminException(Throwable t,
                                                          String principalName,
                                                          String adminName)

  Deprecated.
  Constructor

Parameters:
  `t` - Throwable object representing the wrapped or chained exception
  `principalName` - the username
  `adminName` - the admin username

Method Detail

### getPrincipalName

    public String getPrincipalName()

  Deprecated.
  Returns:
    username

### getAdminName

    public String getAdminName()

  Deprecated.
  Returns:
    admin username

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved